Name:           ocaml-json-static
Version:        0.9.8
Release:        %mkrel 7
Summary:        OCaml JSON validator and converter (syntax extension)
License:        BSD
Group:          Development/OCaml
URL:            http://martin.jambon.free.fr/json-static.html
Source0:        http://martin.jambon.free.fr/json-static-%{version}.tar.bz2
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib-devel
BuildRequires:  camlp4

# Make this dependency explicit because users won't be able
# to do much useful without it, and the automatic dependency
# checking script cannot pick it up.
Requires:       ocaml-json-wheel

%description
json-static is a tool for converting parsed JSON data with an
unchecked structure into specialized OCaml types and vice-versa.
It is a complement to the json-wheel library which provides a
parser and a (pretty-) printer.

Json-static is now deprecated. Do not use it in new projects.
It has been replaced by Atdgen.

%prep
%setup -q -n json-static-%{version}

%build
make

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install

%files
%doc LICENSE README Changes yahoo.ml
%{_libdir}/ocaml/json-static


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.9.8-7.mga3
+ Revision: 361414
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 blue_prawn <blue_prawn> 0.9.8-6.mga3
+ Revision: 319823
- deprecated
- deprecated

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.9.8-5.mga3
+ Revision: 301602
- rebuild for ocaml 4.00
- new rpm group for ocaml

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.9.8-4.mga3
+ Revision: 301425
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sun Oct 02 2011 fwang <fwang> 0.9.8-2.mga3
+ Revision: 150911
- rebuild for new ocaml

* Fri Apr 08 2011 ennael <ennael> 0.9.8-1.mga1
+ Revision: 82386
- clean spec file
- imported package ocaml-json-static

